## index.php?dir=linux%2Fredhat%2Fpub%2Fredhat%2Frhceph-ubuntu%2F3%2F&file=ceph-medic_1.0.4.orig.tar.gz

=== Makefile ===
# Makefile for constructing RPMs.
# Try "make" (for SRPMS) or "make rpm"

NAME = ceph-medic

# Set the RPM package NVR from "git describe".
# Examples:
#
#  A "git describe" value of "v2.2.0rc1" would create an NVR
#  "ceph-medic-2.2.0-0.rc1.1.el7"
#
#  A "git describe" value of "v2.2.0rc1-1-gc465f85" would create an NVR
#  "ceph-medic-2.2.0-0.rc1.1.gc465f85.el7"
#
#  A "git describe" value of "v2.2.0" creates an NVR
#  "ceph-medic-2.2.0-1.el7"

VERSION := $(shell git describe --tags --abbrev=0 --match 'v*' | sed 's/^v//')
COMMIT := $(shell git rev-parse HEAD)
SHORTCOMMIT := $(shell echo $(COMMIT) | cut -c1-7)
RELEASE := $(shell git describe --tags --match 'v*' \
             | sed 's/^v//' \
             | sed 's/^[^-]*-//' \
             | sed 's/-/./')
ifeq ($(VERSION),$(RELEASE))
  RELEASE = 1
endif
ifneq (,$(findstring rc,$(VERSION)))
    RC := $(shell echo $(VERSION) | sed 's/.*rc/rc/')
    RELEASE := 0.$(RC).$(RELEASE)
    VERSION := $(subst $(RC),,$(VERSION))
endif
NVR := $(NAME)-$(VERSION)-$(RELEASE).el7

all: srpm

# Testing only
echo:
	echo COMMIT $(COMMIT)
	echo VERSION $(VERSION)
	echo RELEASE $(RELEASE)
	echo NVR $(NVR)

clean:
	rm -rf dist/
	rm -rf ceph-medic-$(VERSION)-$(SHORTCOMMIT).tar.gz
	rm -rf $(NVR).src.rpm

dist:
	git archive --format=tar.gz --prefix=ceph-medic-$(VERSION)/ HEAD > ceph-medic-$(VERSION)-$(SHORTCOMMIT).tar.gz

spec:
	sed ceph-medic.spec.in \
	  -e 's/@COMMIT@/$(COMMIT)/' \
	  -e 's/@VERSION@/$(VERSION)/' \
	  -e 's/@RELEASE@/$(RELEASE)/' \
	  > ceph-medic.spec

srpm: dist spec
	fedpkg -v --dist epel7 srpm

rpm: dist srpm
	mock -r epel-7-x86_64 rebuild $(NVR).src.rpm \
	  --resultdir=. \
	  --define "dist .el7"

.PHONY: dist rpm srpm

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ceph-medic
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
ceph-medic (0.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 28 Jun 2017 13:20:07 -0600

=== debian/control ===
Source: ceph-medic
Maintainer: Alfredo Deza <adeza@redhat.com>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 7),
 dh-python,
 python,
 python-mock,
 python-pytest,
 python-remoto,
 python-setuptools,
 python-tambo
X-Python-Version: >= 2.7
Standards-Version: 3.9.7
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph-medic.git
Vcs-Browser: https://github.com/ceph/ceph-medic

Package: ceph-medic
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: determine common issues on Ceph storage clusters
 ceph-medic is a very simple tool to run against a Ceph cluster to detect
 common issues that might prevent correct functionality. It requires
 non-interactive SSH access to accounts that can sudo without a password
 prompt.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=ceph-medic

export PYBUILD_TEST_ARGS=ceph_medic/tests

%:
	dh $@ --buildsystem pybuild --with python2
